import os
import openai
# from openai import OpenAI
from openai import OpenAI

client = OpenAI()
# Load your API key from an environment variable or secret management service
#openai.api_key = ""

# api_key: str = os.environ.get("OPENAI_APIKEY")

# openai.api_key = api_key


def get_ai_response (prompt : str = "101介紹",temperature : float = 0.7,max_tokens : int = 1000):

  try:
    response = client.chat.completions.create(
      model="gpt-3.5-turbo",
      messages=[
        {
          "role": "system",
          "content": "我們是台北101客服,專門負責回答遊客問題"
        },
        {
          "role": "user",
          "content": prompt
        }
      ],
      temperature=temperature,
      max_tokens=max_tokens,
      top_p=1
    )

    return {"state" : "success","message" : response.choices[0].message.content}
  except Exception as e :
    return {"state" : "fail","message" : str(e)}

if __name__ == "__main__":
  print(get_ai_response(prompt="101上方75樓有啥東西"))

 






































# prompt = "陳奕凱發了一個無言表情給我,你覺得它是一個怎樣的人"

# completions = openai.Completion.create(
#     engine="text-davinci-003",
#     prompt=prompt,
#     max_tokens=500,
#     n=1,
#     presence_penalty=0.5,
#     frequency_penalty=0.5
# )

# message = completions.choices[0].text
# print(message)



# prompt = '介紹一下台灣第一家做AI主播公司'
# # response = openai.Completion.create(model="text-davinci-003", prompt=talk, temperature=0, max_tokens=7)
# completions_params = {
#         "prompt": prompt,
#         "max_tokens": 60,
#         "temperature": 0.5,
#         "n": 1,
#         "stop": "\n"
#     }
# response = openai.Completion.create(
#   model="text-davinci-003", #davinci:ft-choozmo-inc-2023-02-16-10-25-30
  
#   prompt=prompt,
#   temperature=0,
#   max_tokens=500,
#   top_p=1,
#   frequency_penalty=0.0,
#   presence_penalty=0.0,
#   # stop=["\n"]
# )
# print(response.choices[0].text)